Subject: Re: [PATCH] virtio-net: Read MAC only after initializing MSI-X

From: Rusty Russell <[email-masked]>
Date: Tue, 23 Aug 2011 13:19:36 +0930

On Mon, 22 Aug 2011 11:36:13 +0300, "Michael S. Tsirkin" <[email-masked]> wrote:
> Yes. Or maybe 'WHEN' - since if MSI-X is disabled again, it moves back.
> Let's update the spec to make it clearer?

I left the language as is, but added a footnote at the end of the
sentence:

If MSI-X is enabled for the device, two additional fields immediately
follow this header:
[footnote: ie. once you enable MSI-X on the device, the other
           fields move. If you turn it off again, they move back!]

Thanks,
Rusty.